rpm 5.2.1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

Functions | Variables
tools/rpm2cpio.c File Reference
`#include "system.h"`
`#include <rpmio.h>`
`#include <rpmiotypes.h>`
`#include <rpmurl.h>`
`#include <rpmtypes.h>`
`#include <rpmtag.h>`
`#include <pkgio.h>`
`#include <rpmts.h>`
`#include "debug.h"`
Include dependency graph for rpm2cpio.c:

Go to the source code of this file.

## Functions

int | main (int argc, char **argv)

## Variables

const char * | __progname

## Function Documentation

int main | ( | int | argc,
|  | char ** | argv
| ) |  |

Definition at line 17 of file rpm2cpio.c.

References _, _free(), _RPMVSF_NODIGESTS, _RPMVSF_NOSIGNATURES, alloca(), EXIT_FAILURE, Fclose(), fdDup(), Fdopen(), Ferror(), Fopen(), Fstrerror(), headerGet(), _HE_s::p, rpmDataType_u::ptr, RPMRC_FAIL, RPMRC_NOKEY, RPMRC_NOTFOUND, RPMRC_NOTTRUSTED, RPMRC_OK, rpmReadPackageFile(), RPMTAG_PAYLOADCOMPRESSOR, rpmtsCreate(), rpmtsFree(), rpmtsSetVSFlags(), RPMVSF_NOHDRCHK, setprogname, stpcpy(), rpmDataType_u::str, _HE_s::tag, ufdCopy(), URL_IS_HTTP, URL_IS_HTTPS, urlPath(), and vsflags.

## Variable Documentation

const char* __progname

Definition at line 4 of file rpm2cpio.c.